#
```yaml
v1.8.6
```
```markdown
- as requested enabled full configuration of staves and armors
```

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

#
```yaml
v1.8.5
```
```markdown
- fixed wizard hats attach point to the players head.
```
```yaml
v1.8.4
```
```markdown
- added compatibility fixed to my new mod dvergerstaves.
```
```yaml
v1.8.3
```
```markdown
- updated itemmanager and serversync
```
```yaml
v1.8.2
```
```markdown
- added toggle option to disable/enable tome/book and earring dedicated slot
```
```yaml
v1.8.1
```
```markdown
- fixed hogwarts belt damage scaling and damage computation to elemental weapons (ie. bows with elemental damages)
```
```yaml
v1.8.0
```
```markdown
- updated to the latest valheim build (217.29)
- updated serversync, itemmanager and other dependencies
- updated manifests bepinex dependency string
- put localization example to a zip package to avoid unnecessary duplicates
- added 2 new end-game staves and 1 additional book.
- added 5 new earrings, 5 new rings and 5 new necklaces (needs Jewelcrafting mod (HIGHLY RECOMMENDED) for the new rings and necklaces)
- belts, books, earrings, rings and necklaces have their own slots if AzuExtendedPlayerInventory (HIGHLY RECOMMENDED) is installed.
```
```yaml
v1.7.6
```
```markdown
- fixed some typo on scepters config names.
```
```yaml
v1.7.5
```
```markdown
- added 3 new end-game magical scepters with secondary attacks.
- added 4 new magical hats.
```
```yaml
v1.7.2
```
```markdown
- nerfed down wands huge damage boost at high skill level.
```
```yaml
v1.7.1
```
```markdown
- fixed beginners/advance magic books descriptions live update in multiplayer
- added config options for skull totems summon.
- increased eitr drains max acceptable values.
```
```yaml
v1.7.0
```
```markdown
- added 4 new magical wands that you can craft at early game (these wands will grow stronger as you progress to the game so you can used them til end-game)
- added 2 new magical books that you can craft early and mid game which will help you on using those 4 new wands.
```
```yaml
v1.6.5
```
```markdown
- fixed multiplayer version check issues
```
```yaml
v1.6.4
```
```markdown
- updated to the latest valheim build (217.22)
- added german and spanish translation
```
```yaml
v1.6.3
```
```markdown
- updated the included translations thats causing errors (my bad forgot to update the included translation.. sorry about that xD)
```
```yaml
v1.6.2
```
```markdown
- added config recipes to all items.
- added config options to disable recipes.
- added food stats config.
```
```yaml
v1.6.1
```
```markdown
- removed item manager.
- as requested added an improve dead raiser called skull totem that summons armored skeletons and uses two-handed weapons.
- fixed armor shaders, armor textures now properly applies even at the character selection.
```
```yaml
v1.5.9
```
```markdown
- fixed staffs repair bug.
- adjusted crafting level requirements for some of the staffs.
```
```yaml
v1.5.8
```
```markdown
- updated to the latest valheim build (217.14) hilder request.
- removed flare effect on lightning staff.
- added missing exp gain on moders and yagluths inheritence.
```
```yaml
v1.5.7
```
```markdown
- as requested added 4 new armors (recolored fenris armor xD) with eitr regen per piece, with poison resist for the hood, fire resist for the sleeves and frost resist and feather fall for the cape.
- fixed arctic staffs accuracy.
- added launch angle config option for arctic staff.
- fixed armors shaders, they now use vanilla shaders.
- removed incompatible modlist (valheim legends/sage vault).
```
```yaml
v1.5.5
```
```markdown
- adjusted slime summons scale and make it a little bigger.
- fixed slime summons bug (disappearing/despawning/vanishing)
- added config option for wolf totem level requirements for summoning
```
```yaml
v1.5.4
```
```markdown
- updated to the latest valheim build (216.9)
```
```yaml
v1.5.3
```
```markdown
- added possible multiplayer fixes for moders/yagluth heritage.
- improves moders/yagluths heritage targeting system.
```
```yaml
v1.5.2
```
```markdown
- changed neckzilla and occultist texture to more like white/greyish color so they would look like spirit version of neck and cultist.
- added a boss tier magic weapon called Moders Heritage and Yagluths Heritage, spawns ice/meteor shower to closest enemies so becareful when using this weapons.
```
```yaml
v1.4.9
```
```markdown
- fixed wrong prefab name on elementalistbelt recipe
(Need to delete \config\blacks7ar.MagicPlugin.cfg for fixed to take effect)
- updated to the latest itemmanager and serversync
```
```yaml
v1.4.8
```
```markdown
- fixed NRE's when hitting trees/resources with bare hands
```
```yaml
v1.4.7
```
```markdown
- reduced visual effects of staves
- reduced aoe effect of eikthyrs/lightning staff
- minor bug fixes
```
```yaml
v1.4.6
```
```markdown
- fixed minor bug when cutting/mining in multiplayer
```
```yaml
v1.4.5
```
```markdown
- fixed surtling/eikthyrs/lightning staffs tool tier, they can now properly destroy higher tier resources.
- revised staff of healings code, removed group mods dependency, it can now properly heal other players.
- added 6 new magical belts that will help you on your magical journey.
```
```yaml
v1.4.3
```
```markdown
- minor bug fixes and added possible fixed for healing other players
```
```yaml
v1.4.2
```
```markdown
- added a no-glow variation of Eikthyr Staff called Lightning Staff (special request of a generous supporter)
- fixed aoe range scaling of arctic staff
- reduced eikthyr staffs light intensity
- updated to the latest valheim and bepinex builds
```
```yaml
v1.4.1
```
```markdown
- fixed messagehud typo
- fixed staff of healings blood magic exp, you no longer get blood magic exp if your hp is full or no healing is done.
- added posible fixed for healing other players (again not tested, so you should test it and give me feedback if it work or not)
```
```yaml
v1.4.0
```
```markdown
- rewritten code from scratch
- remove dot aoe damages
- added back summon level scaling (summons level scaled by bloodmagic's level)
- added elemental damages scaling (fire, frost, lightning, poison damages is now scaled by elementalmagic's level)
- added possible fixed for healing other players (not tested), groups mod still needed.
- reworked some staffs models
- reduced/scaled down vfx/smoke effects/light effects
- updated to the latest valheim and bepinex builds
```
```yaml
v1.3.4
```
```markdown
- fixed compatibility issue with KG's MagicHeim
- fixed status effect bug when wearing polarwolf set
```
```yaml
v1.3.3
```
```markdown
- fixed arctic staff and ice staff vfx bug when you fire in rapid mode.
- adjusted the minimum accepted values for the summoning cooldowns down to 5secs
```
```yaml
v1.3.2
```
```markdown
- fixed staff of protection bug.
- removed and reduce some smoke vfx that hinders players vision
- fixed arctic staffs projectile trajectory
- removed level scaling of summoned creatures
```
```yaml
v1.3.1
```
```markdown
- sorry guys i made a mistake i forgot to copy the correct updated dll >_< please don't cursed me xD
```
```yaml
v1.3.0
```
```markdown
- added 2 new staffs called Crystal Totem and Poison Staff
- added 4 new summonable elemental creatures
- added toggle option to use both eitr and stamina as magic source
- summoned creatures/tames no longer takes damage from aoe dot's of magical staffs.
```
```yaml
v1.2.7
```
```markdown
- fixed wolf totems cooldown timer not applying correctly when you summon occultist.
```
```yaml
v1.2.6
```
```markdown
- Staff of Healing can now heal all tames not just summoned creatures, all monster that are tameables and already tamed can now be healed by Staff of Healing.
```
```yaml
v1.2.5
```
```markdown
- added debuff capabilities for the staff of healing, it can now remove status effects like frost, smoked, burning, poison, tared, and wet.
```
```yaml
v1.2.4
```
```markdown
- added paralyze immunity status effect for monsters. when they get hit by eikthyrs staffs aoe and got paralyzed they'll have a chance to get a paralyze immunity for 12secs.
- fixed no eitr warning for staff of healing.
```
```yaml
v1.2.3
```
```markdown
- fixed healing staffs bug when you dodge and quickly use it there's no vfx/sfx.
- fixed healing staffs bloodmagic skill bug. bloodmagic skill can now gain a small fraction of exp after using staff of healing.
```
```yaml
v1.2.2
```
```markdown
- Added a fixed to eitr problem with the 2 staffs and 2 totems while using Terraheim. But you still can't change from eitr to stamina white Terraheim is installed.
- Added configuration for the Eikthyrs Staffs static field. Static Field Aoe Lightning Damage, Duration, Radius and Interval are now configurable. If you want to disable the paralyze effect set Static Field Interval to 0.
```
```yaml
v1.2.1
```
```markdown
- adjusted down lightnings aoe sfx volume
```
```yaml
v1.2.0
```
```markdown
- reworked Eikthyrs Staff, it'll no longer do massive aoe damage, instead it will create a static field which will paralyze anyone around an area and do 1 lightning damage every 2.5 seconds for 10 seconds.
- added proper cooldown timers for necktotem and wolftotem, you can now see a visual indication.
- tone down the volume of the lightning aoe.
- switch to yml translation, english translation is embedded but you can still make your own just follow the example inside the zip file
- added a new staff called Staff of Healing which will heal you overtime, it will also heal your summons and (other players if you have Groups mod by smoothbrain. not tested) but it will probably hopefully work xD
- added configuration for Heal Overtime amount, Heal Duration, Heal Interval, Heal Range and Heal Cooldown.
- added soft dependency to smoothbrains Groups mod
- renamed all prefabs to be unique to MagicPlugin.
- Adjusted eitr regens of both set effect from 3% to 10%, from 5% to 25%
(NOTE: This new version uses new prefabnames, if you have legendary staffs/armors or max upgrade and dont want them to DISAPPEAR, DO NOT UPDATE!)
```
```yaml
v1.1.6
```
```markdown
- fixed config live update, changes applies immediately now no need to logout or attack first to take effect
- added summons health and attack damages configuration
- added version checks
- updated to latest valheim assemblies
```
```yaml
v1.1.5
```
```markdown
- fixed some minor shader issue
- fixed minor conflict with my bowplugin
```
```yaml
v1.1.4
```
```markdown
- fixed eitr regen of forest magic and arctic buff, it was supposed to be just +3% and +5% but instead valheim sets it to +300% and +500% (thanks to @Attelaus from nexus from noticing this)
- added eitr regen amount configuration for each set effect.
- added full configuration for foods, you can now edit their values
```
```yaml
v1.1.3
```
```markdown
- fixed compatibility issue with randyknapps jams
- fixed some items and icons
- adjusted frost staffs particle effect
```
```yaml
v1.1.2
```
```markdown
- fixed compatibility issue with runic pack
```
```yaml
v1.1.1
```
```markdown
- fixed capes invisible texture thanks to balronds doublesided shader
- added possible fixes for multiplayer/coop (not tested)
- added attack force settings for more damage configuration
- added a new staff called Arctic Staff which deals frost damage
- added immunity to each elemental weapon which counter its aoe effect
(Arctic Staff immunes to frost damage / Eikthyrs Staff immune to lighning damage)
- added 4 new armor called Polarwolf Hood, Polarwolf Tunic, Polarwolf Trouser and Cultist Cape with set effect for midgame which gives cold and freezing resist and 5% eitr regen.
- added 2 new foods called Mountain Soup and Mountain Stew together with Mushroom Pie you'll get a total of 124 eitr which is the prerequisite in using the Wolf Totem.
```
```yaml
v1.1.0
```
```markdown
- Added 2 new armors with a set effect
- Added 3 new eitr foods which will give you 76 eitr
```
```yaml
v1.0.9
```
```markdown
- adjusted damage values and attack force of eikthyrs staff to make it less op
```
```yaml
v1.0.8
```
```markdown
- fixed AOE OnTriggerStay warning
```
```yaml
v1.0.7
```
```markdown
- fixed summoned creatures, summoned creatures no longer despawn when you logout.
- added possible fix for coop/multiplayer (not tested)
```
```yaml
v1.0.6
```
```markdown
- fixed eitr/stamina switching should properly work now. need to logout to properly take effect
```
```yaml
v1.0.5
```
```markdown
- fixed compatibility issue with potionplus
```
```yaml
v1.0.4
```
```markdown
- fixed NREs when using bow/crossbow
- fixed NREs when using firestaff and icestaff
- added translations. you can now add your own translations
- added option toggle to use either stamina or eitr (takes 1-2 attacks for the change to take effect)
```
```yaml
v1.0.3
```
```markdown
- fixed aoe ranged scaling. it is now properly scaled according to your elemental magic skill level.
- fixed max crafting station level needed for the upgrades
- added full recipe configuration
- added fire/lightning damage configuration
- added chop/pickaxe damage configuration
- added base aoe range configuration
- added stamina consumption configuration
- added cooldown timer configuration for necktotem and wolftotem
- added lightning staff called Eikthyrs Staff, can be used to destroy rocks/minerals
```
```yaml
v1.0.2
```
```markdown
- fixed surtling staff aoe hopefully.
- nerf neckzilla's hp a little bit.
- added cooldown timers for neck totem and wolf totem so it wont be used to spam summons.
- added wolf totem a mid game summoning magic weapon.
- added accuracy config.
- balance the levelup chance of neckzilla
```
```yaml
v1.0.1
```
```markdown
- fixed birch and oak trees tree stump being too hard. surtling staffs quality level is now properly functioning.
- fixed elemental magic and blood magic exp multipliers. they are separate now.
- added a new magic weapon called Neck Totem that can summon a monster to fight alongside you.
```
```yaml
v1.0.0
```
```markdown
- first release
```

</details>

